Transport Layer Security (TLS) 1.2 Support

TheTradingPortal.com™ Requires TLS 1.2

Transport Layer Security (also known as TLS, SSL, or HTTPS) is how the modern web encrypts and secures internet traffic. To provide the safest and most secure end user experience available, TheTradingPortal.com™ requires the newest version of TLS, version 1.2, to secure client data between our servers and your browser. This means that TLS 1.2 must be enabled in your browser to access secure portions of the site.

TLS 1.2 is already available and enabled in all modern browsers beginning with the following versions:

  • Internet Explorer 11
  • Google Chrome 30
  • Mozilla Firefox 27
  • Apple Safari 7
  • Microsoft Edge

In addition, TLS 1.2 is available and enabled in modern phone OSes beginning with the following versions:

  • iOS 5
  • Android 5.0 Lollipop

Enabling TLS 1.2 in IE 9, 10

Internet Explorer 9 and 10 have TLS 1.2 available, but it is not enabled by default. If you were redirected to this page while using IE 9 or 10, please follow these directions to enable TLS 1.2 in your browser:

  1. In the Internet Explorer Tools menu, click Internet Options.
  2. In the Internet Options dialog box, click the Advanced tab and scroll to the bottom.
  3. In the Security category, uncheck Use SSL 3.0 and Use SSL 2.0. Check Use TLS 1.0, Use TLS 1.1, and Use TLS 1.2.
  4. Click OK.
  5. Exit and restart Internet Explorer.

Note it is important to check consecutive versions. Not selecting consecutive versions (e.g. checking TLS 1.0 and 1.2, but not checking 1.1) could result in connection errors.